Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# CORBA::UserException Class Reference

Application- or OMG- defined CORBA exception sub-class. More...

`#include <UserException.h>`

Inheritance diagram for CORBA::UserException:

[legend]
Collaboration diagram for CORBA::UserException:

[legend]
List of all members.

## Public Member Functions
| UserException (UserException const &rhs)
| Copy constructor.
virtual | ~UserException (void)
| Destructor.
UserException & | operator= (UserException const &rhs)
| Assignment operator.
virtual void | _raise (void) const =0
virtual CORBA::TypeCode_ptr | _tao_type (void) const
| Will be overridden in the concrete derived classes.
| UserException (char const *repository_id, char const *local_name)
| Constructor from a repository id.
virtual ACE_CString | _info (void) const
| UserException (void)
| Default constructor.
## Static Public Member Functions
UserException * | _downcast (CORBA::Exception *exception)
| The narrow operation.
const UserException * | _downcast (CORBA::Exception const *exception)
| The const version of narrow operation.

## Detailed Description

Application- or OMG- defined CORBA exception sub-class.

User exceptions can be defined in application OMG IDL or by the OMG itself for IDL interfaces and services it defines.

## Constructor & Destructor Documentation

ACE_INLINE CORBA::UserException::UserException | ( | UserException const & | rhs | ) |

| Copy constructor.

TAO_BEGIN_VERSIONED_NAMESPACE_DECL CORBA::UserException::~UserException | ( | void |  | ) | `[virtual]`

| Destructor.

ACE_INLINE CORBA::UserException::UserException | ( | char const * | repository_id,
|  | char const * | local_name
| ) |

| Constructor from a repository id.

TAO_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE CORBA::UserException::UserException | ( | void |  | ) |

| Default constructor.

## Member Function Documentation

ACE_INLINE const CORBA::UserException * CORBA::UserException::_downcast | ( | CORBA::Exception const * | exception | ) | `[static]`

| The const version of narrow operation. Reimplemented from CORBA::Exception. Reimplemented in CORBA::PolicyError, CORBA::InvalidPolicies, and CORBA::WrongTransaction.

ACE_INLINE CORBA::UserException * CORBA::UserException::_downcast | ( | CORBA::Exception * | exception | ) | `[static]`

| The narrow operation. Reimplemented from CORBA::Exception. Reimplemented in CORBA::ORB::InvalidName, CORBA::PolicyError, CORBA::InvalidPolicies, and CORBA::WrongTransaction.

ACE_CString CORBA::UserException::_info | ( | void |  | ) | const`[virtual]`

| Returns a string containing information about the exception. This function is not CORBA compliant. Implements CORBA::Exception.

virtual void CORBA::UserException::_raise | ( | void |  | ) | const`[pure virtual]`

| Implements CORBA::Exception. Implemented in CORBA::ORB::InvalidName, CORBA::PolicyError, CORBA::InvalidPolicies, and CORBA::WrongTransaction.

CORBA::TypeCode_ptr CORBA::UserException::_tao_type | ( | void |  | ) | const`[virtual]`

| Will be overridden in the concrete derived classes. Implements CORBA::Exception. Reimplemented in CORBA::PolicyError, CORBA::InvalidPolicies, and CORBA::WrongTransaction.

CORBA::UserException & CORBA::UserException::operator= | ( | UserException const & | rhs | ) |

| Assignment operator.

The documentation for this class was generated from the following files:

- UserException.h
- UserException.cpp
- UserException.inl